## veusz 4.1

=== Documents/Makefile ===
############################################################################
#    Copyright (C) 2017 Jeremy S. Sanders
#    Email: Jeremy Sanders <jeremy@jeremysanders.net>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
############################################################################

verfile=../VERSION
RELEASE=$(shell cat $(verfile))
mansources=$(shell find manual-source -name *.rst)

all: man manual

############################################################################
# man pages

%.1: %.pod $(verfile)
	pod2man --release=$(RELEASE) --center="Veusz" $< > $@

%.man.txt: %.1
	MANWIDTH=76 man ./$< > $@

man: man-page/veusz.1 man-page/veusz.man.txt

############################################################################
# manual

manual-pdf: manual/pdf/veusz.pdf

manual-html: manual/html/index.html

manual/pdf/veusz.pdf: $(mansources) $(verfile)
	make -C manual-source latexpdf
	mkdir -p manual/pdf
	mv manual/latex/veusz.pdf manual/pdf/
	rm -rf manual/latex/

manual/html/index.html: $(mansources) $(verfile)
	make -C manual-source html

manual: manual-html manual-pdf
	rm -rf manual/doctrees/

############################################################################

clean:
	rm -f man-page/*.1 man-page/*.man.txt
	make -C manual-source clean

=== Documents/manual-source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../manual

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mbproj2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mbproj2.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mbproj2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mbproj2"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
veusz (4.1-1) unstable; urgency=low

  * Update to Veusz 4.1
  * Switch to Qt6/PyQt6 from Qt5/PyQt5
  * Use dh_numpy3 properly for Numpy ABI dependency
  * Update Standards-Version to 4.7.2

 -- Jeremy Sanders <jeremy@jeremysanders.net>  Thu, 19 Jun 2025 20:42:00 +0200

veusz (3.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop runtime library packages (not -dev) from b-d. Closes: #1067915

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Apr 2024 14:19:21 +0200

=== debian/control ===
Source: veusz
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Sanders <jeremy@jeremysanders.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               python3-all,
               python3-all-dev,
               python3-astropy,
               python3-h5py,
               python3-numpy,
               python3-numpy-dev,
               python3-pyqt6,
               python3-pyqt6.qtsvg,
               python3-setuptools,
               python3-sipbuild,
               python3-sphinx,
               pyqt6-dev,
               pyqt6-dev-tools,
               qmake6,
               qt6-base-dev,
               qt6-svg-dev,
               sip-tools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/veusz
Vcs-Git: https://salsa.debian.org/science-team/veusz.git
Homepage: https://veusz.github.io/
Rules-Requires-Root: no

Package: veusz
Architecture: all
Depends: python3-veusz (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: 2D and 3D scientific plotting application with graphical interface
 Veusz is a 2D and 3D scientific plotting and graphing package,
 designed to produce publication-ready PDF, SVG, Postscript and bitmap
 output. Veusz provides a GUI, command line and scripting interface
 (based on Python) to its plotting facilities. The plots are built
 using an object-based system to provide a consistent interface.
 .
 This package includes the main executable, documentation and examples.

Package: python3-veusz
Architecture: all
Section: python
Depends: python3-numpy,
         python3-pyqt6,
         python3-pyqt6.qtsvg,
         python3-veusz.helpers (>= ${source:Version}),
         pyqt6-dev-tools,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ghostscript,
          python3-astropy,
          python3-dbus,
          python3-h5py,
          qt6-image-formats-plugins
Description: 2D and 3D scientific plotting application (Python interface)
 Veusz is a 2D and 3D scientific plotting and graphing package,
 designed to produce publication-ready PDF, SVG, Postscript and bitmap
 output. Veusz provides a GUI, command line and scripting interface
 (based on Python) to its plotting facilities. The plots are built
 using an object-based system to provide a consistent interface.
 .
 This package includes the Python 3 plotting module.

Package: python3-veusz.helpers
Architecture: any
Section: python
Depends: python3-numpy,
         python3-pyqt6,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-veusz (= ${source:Version})
Description: 2D and 3D scientific plotting application (binary modules)
 Veusz is a 2D and 3D scientific plotting and graphing package,
 designed to produce publication-ready PDF, SVG, Postscript and bitmap
 output. Veusz provides a GUI, command line and scripting interface
 (based on Python) to its plotting facilities. The plots are built
 using an object-based system to provide a consistent interface.
 .
 This package includes the architecture-specific parts of the Python 3 plotting
 module.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
export QT_SELECT := qt5

# Get the supported Python versions
PY3VERS = $(shell py3versions -r -v)

# Callable functions to determine the correct PYTHONPATH
# (pyinstaller moved from pythonX.Y ->cpython[23] - this is for compatibility)
pythonpath = $$(ls -d $(CURDIR)/.pybuild/pythonX.Y_$(1)/build \
	$(CURDIR)/.pybuild/cpython3_$(1)/build)

# examples are not installed, but included manually in package
export PYBUILD_INSTALL_ARGS = \
	--veusz-resource-dir=debian/tmp/usr/share/veusz \
	--disable-install-examples
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3,sphinxdoc,numpy3 --buildsystem=pybuild

override_dh_auto_build: delete_generated
	dh_auto_build

# desktop files are copied from source package
	cp -p support/veusz.desktop debian/
	cp -p support/veusz.xml debian/veusz.sharedmimeinfo

# regenerate docs
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. \
		sphinx-build -N -bhtml Documents/manual-source build/html
	pod2man --release=`cat VERSION` --center="Veusz"  Documents/man-page/veusz.pod build/veusz.1

execute_after_dh_auto_install:
# do not install examples and put data files in /usr/share/veusz

# veusz follows symlink to find its resources
	for py in $(PY3VERS); do \
		dh_link -ppython3-veusz usr/share/veusz usr/lib/python$${py}/dist-packages/veusz/resources; \
	done
# COPYING is symlinked in veusz package
	rm -f debian/tmp/usr/share/veusz/COPYING

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x;\
	for py in $(PY3VERS); do \
		PYTHONPATH=$(call pythonpath,$$py) \
			VEUSZ_RESOURCE_DIR=. \
			QT_QPA_PLATFORM=minimal \
			python$$py tests/runselftest.py ;\
	done
endif

# don't compress Veusz example files
override_dh_compress:
	dh_compress -X.vsz -X.csv

# delete generated files before clean
execute_before_dh_clean: delete_generated

# clean up temporary files and python cache
execute_before_dh_missing:
	rm -r `find debian/tmp -name __pycache__`

# delete files generated by rules
delete_generated:
	rm -f debian/veusz.sharedmimeinfo debian/veusz.desktop

=== debian/watch ===
version=4
opts="searchmode=plain,pgpsigurlmangle=s/$/.asc/" \
https://api.github.com/repos/veusz/veusz/releases \
https://github.com/veusz/veusz/releases/download/veusz-(?:\d[\d.]*)/veusz-(\d[\d.]*)\.tar\.gz
